<?php
session_start();
if ($_SESSION['_ERP_OK_SOFT']==5798799080 and $_SESSION['_ERP_OK_SOFT']>0){
	//OK
}else{
	echo "<script>window.location='../../../salir.php';</script>";
}
include("../../../inc_config/con_cc.php");
include("../../../inc_config/fun_cc.php");

$tb_cc = $_POST['tb_cc'];

if ($tb_cc==1 ){
	$id_contenido = 1;
	$quienes      = $_POST['quienes_somos'];
	
	$filename1    = $_FILES['foto1']['name'];
	$filesize1    = $_FILES['foto1']['size'];
	$filetmpname1 = $_FILES['foto1']['tmp_name'];

	$tiempo = time();
	$parte_tiempo = substr($tiempo,5,3);

	$filename1 = time()."quienes_".$parte_tiempo.".jpg";
	
    $mysqli->query("update tb_quienes set contenido='".$quienes."' where  id_contenido='1'");

    if ($filesize1>111){		
		if (copy($filetmpname1,"img/$filename1")){
			$mysqli->query("update tb_quienes set foto1='".$filename1."' where  id_contenido='1'");
			$rutaImagenOriginal = "img/$filename1";
			$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
			$rutaImagenComprimida = "img/$filename1";
			$calidad = 50; 
			imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
		}		
	}
	
	echo "<script>alert('Información actualizada');window.location='index.php?p=1';</script>";
}

if ($tb_cc==2 ){
	$id_contenido = 1;
	$terminos      = $_POST['terminos'];
	
	$filename1    = $_FILES['foto1']['name'];
	$filesize1    = $_FILES['foto1']['size'];
	$filetmpname1 = $_FILES['foto1']['tmp_name'];

	$tiempo = time();
	$parte_tiempo = substr($tiempo,5,3);

	$filename1 = time()."quienes_".$parte_tiempo.".jpg";
	
    $mysqli->query("update tb_terminos set contenido='".$terminos."' where  id_contenido='1'");

    if ($filesize1>111){		
		if (copy($filetmpname1,"img/$filename1")){
			$mysqli->query("update tb_terminos set foto1='".$filename1."' where  id_contenido='1'");
			$rutaImagenOriginal = "img/$filename1";
			$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
			$rutaImagenComprimida = "img/$filename1";
			$calidad = 50; 
			imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
		}		
	}
	
	echo "<script>alert('Información actualizada');window.location='index.php?p=2';</script>";
}

if ($tb_cc==3 ){
	$id_serial     = $_POST['id'];
	
	$filename1    = $_FILES['foto1']['name'];
	$filesize1    = $_FILES['foto1']['size'];
	$filetmpname1 = $_FILES['foto1']['tmp_name'];

	$tiempo = time();
	$parte_tiempo = substr($tiempo,5,3);

	$filename1 = time()."galeria_".$parte_tiempo.".jpg";

	if ($id_serial>0){
	
		if ($filesize1>111){		
			if (copy($filetmpname1,"fotos/$filename1")){
				$mysqli->query("update tb_fotos_gale set foto='".$filename1."' where  id_serial='$id_serial'");
				$rutaImagenOriginal = "fotos/$filename1";
				$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
				$rutaImagenComprimida = "fotos/$filename1";
				$calidad = 50; 
				imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
			}		
		}
	}else{
		if ($filesize1>111){		
			if (copy($filetmpname1,"fotos/$filename1")){
				$mysqli->query("insert into tb_fotos_gale (foto) values ('".$filename1."')");
				$rutaImagenOriginal = "fotos/$filename1";
				$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
				$rutaImagenComprimida = "fotos/$filename1";
				$calidad = 50; 
				imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
			}		
		}
	}	
	
	echo "<script>alert('Información actualizada');window.location='index.php?p=3';</script>";
}
if ($tb_cc==4){
	$id_serial    = $_POST['id'];
	$telefonos    = $_POST['telefonos'];
	$email        = $_POST['email'];
	$facebook     = $_POST['facebook'];
	$instagram    = $_POST['instagram'];
	$youtube      = $_POST['youtube'];
	
	
	if ($id_serial>0){
		$mysqli->query("update tb_contacto set telefonos='$telefonos', email='$email', facebook='$facebook', instagram='$instagram', youtube='$youtube' where id_serial='$id_serial'");	
	}else{
			
	}	
	echo "<script>alert('Información actualizada');window.location='index.php?p=4';</script>";
}
if ($tb_cc==5){
	$id_serial   = $_POST['id'];
	$titulo      = $_POST['titulo'];
	$descripcion = $_POST['descripcion'];
	$keywords    = $_POST['keywords'];
	
	if ($id_serial>0){
		$mysqli->query("update tb_etiquetas set titulo='$titulo', descripcion='$descripcion', keywords='$keywords' where id_serial='$id_serial'");	
	}else{
			
	}	
	echo "<script>alert('Información actualizada');window.location='index.php?p=5';</script>";
}

/////////////////////////////
?>